import { IValidationInfo } from './validation/index.js';
import { ValidationSeed } from './validation/ValidationSeed';
/**
 * Entrance to validate component structure.
 * @export
 * @class Validator
 */
export declare class ComponentStructureValidator {
    /**
     * Singleton.
     */
    private static instance;
    /**
     * All validators.
     */
    private validators;
    /**
     * Constructor
     */
    private constructor();
    /**
     * Singleton method.
     */
    static getInstance(): ComponentStructureValidator;
    /**
     * Validate seed component.
     * @param validationSeed seed for validation.
     */
    validate(validationSeed: ValidationSeed): IValidationInfo[];
}
