/**
 * Validation information.
 * @export
 * @class IValidationInfo
 */
export interface IValidationInfo {
    /**
     * json path.
     */
    path: string;
    /**
     * error message.
     */
    errorMessage: string;
    /**
     * notification level.
     */
    level?: NotificationLevel;
    /**
     * message with link.
     */
    errorMessageWithLink?: string;
    /**
     * message link values.
     */
    errorMessageLinkValues?: IMessageLinkValue[];
}
export declare enum NotificationLevel {
    ERROR = "ERROR",
    WARN = "WARNING"
}
export interface IMessageLinkValue {
    linkId: string;
    linkText: string;
    linkUrl: string;
}
