"use strict";
/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (g && (g = 0, op[0] && (_ = 0)), _) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var fs = require("fs");
var IValidationInfo_1 = require("../IValidationInfo");
var CommandSchemaValidator_1 = require("../CommandSchemaValidator");
describe('CommandSchemaValidator.', function () {
    var commandSchemaValidator = CommandSchemaValidator_1.CommandSchemaValidator.getInstance();
    it('should validate Idle command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('IdleCommand.json', 'Idle')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Sequential command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SequentialCommand.json', 'Sequential')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Parallel command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ParallelCommand.json', 'Parallel')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SendEvent command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SendEventCommand.json', 'SendEvent')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SetValue command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SetValueCommand.json', 'SetValue')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SetState command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SetStateCommand.json', 'SetState')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SetFocus command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SetFocusCommand.json', 'SetFocus')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate ClearFocus command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ClearFocusCommand.json', 'ClearFocus')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SpeakItem command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SpeakItemCommand.json', 'SpeakItem')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SpeakList command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SpeakListCommand.json', 'SpeakList')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Scroll command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ScrollCommand.json', 'Scroll')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate ScrollToIndex command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ScrollToIndexCommand.json', 'ScrollToIndex')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate ScrollToComponent command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ScrollToComponentCommand.json', 'ScrollToComponent')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate SetPage command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SetPageCommand.json', 'SetPage')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate AutoPage command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('AutoPageCommand.json', 'AutoPage')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate PlayMedia command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('PlayMediaCommand.json', 'PlayMedia')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate ControlMedia command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ControlMediaCommand.json', 'ControlMedia')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate AnimateItem command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('AnimateItemCommand.json', 'AnimateItem')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Finish command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('FinishCommand.json', 'Finish')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Select command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('SelectCommand.json', 'Select')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Reinflate command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('ReinflateCommand.json', 'Reinflate')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should validate Insert Item command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, verifyCommand('InsertItemCommand.json', 'InsertItem')];
                case 1:
                    _a.sent();
                    return [2 /*return*/];
            }
        });
    }); });
    it('should received correct amount of validation errors.', function () { return __awaiter(void 0, void 0, void 0, function () {
        var data, result;
        return __generator(this, function (_a) {
            data = fs.readFileSync("src/__tests__/commands/ErrorCommand.json", 'utf8');
            result = commandSchemaValidator.validateCommand(JSON.parse(data), 'SetState');
            (0, chai_1.expect)(result.length).to.equal(2);
            (0, chai_1.expect)(result[0].path).to.equal('/');
            (0, chai_1.expect)(result[0].level).to.equal(IValidationInfo_1.NotificationLevel.WARN);
            (0, chai_1.expect)(result[0].errorMessage.indexOf('\'value\'') > 0).to.equal(true);
            (0, chai_1.expect)(result[1].path).to.equal('/state');
            (0, chai_1.expect)(result[1].level).to.equal(IValidationInfo_1.NotificationLevel.WARN);
            return [2 /*return*/];
        });
    }); });
    it('should received correct amount of validation errors for Remove Item Commands.', function () { return __awaiter(void 0, void 0, void 0, function () {
        var data, result;
        return __generator(this, function (_a) {
            data = fs.readFileSync("src/__tests__/commands/RemoveItemCommand.json", 'utf8');
            result = commandSchemaValidator.validateCommand(JSON.parse(data), 'RemoveItem');
            (0, chai_1.expect)(result[0].path).to.equal('/componentId');
            (0, chai_1.expect)(result[0].level).to.equal(IValidationInfo_1.NotificationLevel.WARN);
            return [2 /*return*/];
        });
    }); });
    it('should allow all levels in Log command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        var data, testCases, result, total;
        return __generator(this, function (_a) {
            data = fs.readFileSync("src/__tests__/commands/Log_allLevels.json", 'utf8');
            testCases = JSON.parse(data);
            total = 0;
            testCases.forEach(function (obj) {
                result = commandSchemaValidator.validateCommand(obj, 'Log');
                total += result.length;
            });
            (0, chai_1.expect)(total).to.be.equal(0);
            return [2 /*return*/];
        });
    }); });
    it('should allow array of anything in Log command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        var data, testCases, result, total;
        return __generator(this, function (_a) {
            data = fs.readFileSync("src/__tests__/commands/Log_differentArguments.json", 'utf8');
            testCases = JSON.parse(data);
            total = 0;
            testCases.forEach(function (obj) {
                result = commandSchemaValidator.validateCommand(obj, 'Log');
                total += result.length;
            });
            (0, chai_1.expect)(total).to.be.equal(0);
            return [2 /*return*/];
        });
    }); });
    it('should see 3 errors in Log command.', function () { return __awaiter(void 0, void 0, void 0, function () {
        var data, testCases, result;
        return __generator(this, function (_a) {
            data = fs.readFileSync("src/__tests__/commands/Log_errorCases.json", 'utf8');
            testCases = JSON.parse(data);
            result = [];
            testCases.forEach(function (obj) {
                result = result.concat(commandSchemaValidator.validateCommand(obj, 'Log'));
            });
            (0, chai_1.expect)(result.length).to.be.equal(4);
            (0, chai_1.expect)(result[0].path).to.equal('/type');
            (0, chai_1.expect)(result[1].path).to.equal('/arguments');
            (0, chai_1.expect)(result[2].path).to.equal('/level');
            (0, chai_1.expect)(result[3].path).to.equal('/level');
            return [2 /*return*/];
        });
    }); });
    function verifyCommand(fileName, type) {
        return __awaiter(this, void 0, void 0, function () {
            var data, result;
            return __generator(this, function (_a) {
                data = fs.readFileSync("src/__tests__/commands/".concat(fileName), 'utf8');
                result = commandSchemaValidator.validateCommand(JSON.parse(data), type);
                (0, chai_1.expect)(result.length).to.be.equal(0);
                return [2 /*return*/];
            });
        });
    }
});
//# sourceMappingURL=CommandSchemaValidator.spec.js.map