export declare const Role: {
    type: string;
    description: string;
    enum: string[];
};
export declare const ActionArray: {
    type: string;
    items: {
        $ref: string;
    };
};
export declare const Action: {
    properties: {
        command: {
            $ref: string;
            description: string;
        };
        commands: {
            $ref: string;
            description: string;
        };
        enabled: {
            type: string;
            description: string;
        };
        label: {
            type: string;
            description: string;
        };
        name: {
            type: string;
            description: string;
        };
    };
    additionalProperties: boolean;
    required: string[];
};
export declare const SimpleUrl: {
    type: string;
};
export declare const ExtendedUrl: {
    type: string;
    properties: {
        url: {
            type: string;
        };
        headers: {
            $ref: string;
        };
        description: {
            type: string;
        };
    };
    required: string[];
    additionalProperties: boolean;
};
export declare const Source: {
    oneOf: ({
        type: string;
    } | {
        type: string;
        items: {
            oneOf: {
                type: string;
            }[];
        };
    })[];
};
export declare const Gradient: {
    type: string;
    properties: {
        angle: {
            type: string;
            description: string;
        };
        colorRange: {
            $ref: string;
            description: string;
        };
        description: {
            type: string;
            description: string;
        };
        inputRange: {
            $ref: string;
            description: string;
        };
        type: {
            type: string;
            description: string;
            enum: string[];
        };
    };
    additionalProperties: boolean;
    required: string[];
};
export declare const ColorArray: {
    type: string;
    items: {
        $ref: string;
    };
};
export declare const numberArray: {
    type: string;
    items: {
        $ref: string;
    };
};
export declare const tickHandler: {
    properties: {
        commands: {
            type: string;
            description: string;
            items: {
                $ref: string;
            };
        };
        description: {
            type: string;
            description: string;
            default: string;
        };
        minimumDelay: {
            type: string;
            description: string;
            default: number;
        };
        when: {
            type: string;
            description: string;
            default: boolean;
        };
    };
    required: string[];
};
export declare const tickHandlerArray: {
    type: string;
    description: string;
    items: {
        $ref: string;
    };
};
