import { Map } from 'immutable';
/**
 * The interface of sample template
 * @export
 * @interface ISampleTemplate
 * @property {number} apl - apl document of sample template
 * @property {number} data - apl dataSource of sample template
 * @property {number} type - type of sample template
 *
 */
export interface ISampleTemplate {
    apl: object;
    data: object;
}
/**
 * This is a enum that contains the names of sample templates.
 */
export declare enum SampleTemplateName {
    IMAGE_RIGHT_DETAIL = "IMAGE_RIGHT_DETAIL",
    IMAGE_LEFT_DETAIL = "IMAGE_LEFT_DETAIL",
    GRID_LIST = "GRID_LIST",
    HEADLINE = "HEADLINE",
    IMAGE_LIST = "IMAGE_LIST",
    PAGINATED_LIST = "PAGINATED_LIST",
    TEXT_LIST = "TEXT_LIST",
    DETAILS = "DETAILS",
    GRID = "GRID",
    SHORT_TEXT = "SHORT_TEXT",
    HORIZONTAL_LIST = "HORIZONTAL_LIST",
    FULL_SCREEN_LIST = "FULL_SCREEN_LIST",
    VERTICAL_LIST = "VERTICAL_LIST",
    VIDEO_PLAYER = "VIDEO_PLAYER",
    IMAGE_DISPLAY = "IMAGE_DISPLAY",
    FULL_TEXT = "FULL_TEXT",
    CHECK_LIST = "CHECK_LIST",
    ANALOG_CLOCK = "ANALOG_CLOCK",
    DANCING_EQUALIZER_BARS = "DANCING_EQUALIZER_BARS",
    PARALLAX_EFFECT = "PARALLAX_EFFECT",
    ANIMATED_BACKGROUND = "ANIMATED_BACKGROUND",
    ANIMATION = "ANIMATION",
    START_FROM_SCRATCH = "START_FROM_SCRATCH",
    LONG_TEXT_SAMPLE = "LONG_TEXT_SAMPLE",
    IMAGE_RIGHT_DETAIL_SAMPLE = "IMAGE_RIGHT_DETAIL_SAMPLE",
    IMAGE_LEFT_DETAIL_SAMPLE = "IMAGE_LEFT_DETAIL_SAMPLE",
    SHORT_TEXT_SAMPLE = "SHORT_TEXT_SAMPLE",
    IMAGE_DISPLAY_SAMPLE = "IMAGE_DISPLAY_SAMPLE",
    TEXT_FORWARD_LIST_SAMPLE = "TEXT_FORWARD_LIST_SAMPLE",
    IMAGE_FORWARD_LIST_SAMPLE = "IMAGE_FORWARD_LIST_SAMPLE",
    CARDS_LAYOUT = "CARDS_LAYOUT",
    SIMPLE_TEXT_AND_IMAGE = "SIMPLE_TEXT_AND_IMAGE",
    MULTIPLE_CHOICE = "MULTIPLE_CHOICE",
    FULLSCREEN_VIDEO_PLAYER = "FULLSCREEN_VIDEO_PLAYER",
    AUDIO_PLAYER = "AUDIO_PLAYER",
    MRB_GRID_LIST = "MRB_GRID_LIST",
    MRB_HEADLINE = "MRB_HEADLINE",
    MRB_IMAGE_LIST = "MRB_IMAGE_LIST",
    MRB_PAGINATED_LIST = "MRB_PAGINATED_LIST",
    MRB_TEXT_LIST = "MRB_TEXT_LIST"
}
export declare function getDefaultAplDocument(): object;
export declare function getSampleTemplates(): Map<string, ISampleTemplate>;
export declare function getSampleTemplate(name: SampleTemplateName): ISampleTemplate;
