"use strict";
/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var SampleTemplate_1 = require("../SampleTemplate");
describe('SampleTemplate', function () {
    it('should sample templates has contents.', function () {
        (0, chai_1.expect)((0, SampleTemplate_1.getSampleTemplates)().size).to.not.be.equal(0);
    });
    it('should sample template with specific name has contents.', function () {
        var template = (0, SampleTemplate_1.getSampleTemplate)(SampleTemplate_1.SampleTemplateName.SHORT_TEXT);
        (0, chai_1.expect)(template.apl).to.be.an('object');
        (0, chai_1.expect)(template.data).to.be.an('object');
    });
    it('should default document has contents.', function () {
        var apl = (0, SampleTemplate_1.getDefaultAplDocument)();
        (0, chai_1.expect)(apl).to.be.an('object');
    });
});
//# sourceMappingURL=SampleTemplate.spec.js.map