"use strict";
/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = require("chai");
var ViewportProfile_1 = require("../ViewportProfile");
describe('ViewportProfile', function () {
    it('should viewporProfiles profile has contents.', function () {
        (0, ViewportProfile_1.getViewportProfiles)().valueSeq().forEach(function (viewportProfile) {
            (0, chai_1.expect)(viewportProfile).to.be.an('object');
        });
    });
    it('should default viewporProfile profile has contents.', function () {
        var viewportProfile = (0, ViewportProfile_1.getDefaultViewportProfile)();
        (0, chai_1.expect)(viewportProfile).to.be.an('object');
    });
    it('should viewporProfiles profile has contents.', function () {
        var viewportProfile = (0, ViewportProfile_1.getDefaultViewport)();
        (0, chai_1.expect)(viewportProfile).to.be.an('object');
    });
});
//# sourceMappingURL=ViewportProfile.spec.js.map