/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorTypes = exports.ErrorLevels = void 0;
/**
 * Error levels supported by the renderer
 * @export
 * @enum {string}
 */
var ErrorLevels;
(function (ErrorLevels) {
    ErrorLevels["ERROR"] = "ERROR";
    ErrorLevels["WARN"] = "WARNING";
})(ErrorLevels = exports.ErrorLevels || (exports.ErrorLevels = {}));
/**
 * Error types supported by the renderer
 * @export
 * @enum {string}
 */
var ErrorTypes;
(function (ErrorTypes) {
    ErrorTypes["RUNTIME"] = "RUNTIME";
    ErrorTypes["VALIDATION"] = "VALIDATION";
})(ErrorTypes = exports.ErrorTypes || (exports.ErrorTypes = {}));
//# sourceMappingURL=IError.js.map