import { IError, IRuntimeError, IValidationError } from './IError';
/**
 * Interface for errors thrown by the renderer
 * @export
 * @interface IErrors
 */
export interface IErrorDefinitions {
    [propName: string]: IError;
}
/**
 * Error Codes:
 * -1050 - The inputted template cannot be null.
 * -1100 - Unable to multiply dimension
 */
export declare const COMPONENT_BUILDER_NO_TEMPLATE: IRuntimeError;
export declare const GENERAL_VALIDATION_WARN: IValidationError;
export declare const COMPONENT_BUILDER_ITEM_AND_ITEMS: IValidationError;
export declare const COMPONENT_BUILDER_UNABLE_TO_FIND_TYPE: IValidationError;
export declare const UNIT_UTILS_CANNOT_MULTIPLY_DIMENSION: IValidationError;
export declare const META_TEMPLATE_UNABLE_TO_FIND_LAYOUT: IValidationError;
export declare const META_TEMPLATE_INVALID_LAYOUT_NAME: IValidationError;
export declare const PACKAGE_LOADER_CANNOT_FETCH_URL: IValidationError;
/**
 * All errors thrown by the renderer
 */
export declare const ErrorDefinitions: IErrorDefinitions;
