/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorDefinitions = exports.PACKAGE_LOADER_CANNOT_FETCH_URL = exports.META_TEMPLATE_INVALID_LAYOUT_NAME = exports.META_TEMPLATE_UNABLE_TO_FIND_LAYOUT = exports.UNIT_UTILS_CANNOT_MULTIPLY_DIMENSION = exports.COMPONENT_BUILDER_UNABLE_TO_FIND_TYPE = exports.COMPONENT_BUILDER_ITEM_AND_ITEMS = exports.GENERAL_VALIDATION_WARN = exports.COMPONENT_BUILDER_NO_TEMPLATE = void 0;
var IError_1 = require("./IError");
/**
 * Error Codes:
 * -1050 - The inputted template cannot be null.
 * -1100 - Unable to multiply dimension
 */
exports.COMPONENT_BUILDER_NO_TEMPLATE = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.RUNTIME,
    code: '-1050'
};
exports.GENERAL_VALIDATION_WARN = {
    level: IError_1.ErrorLevels.WARN,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-4002'
};
exports.COMPONENT_BUILDER_ITEM_AND_ITEMS = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-1051'
};
exports.COMPONENT_BUILDER_UNABLE_TO_FIND_TYPE = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-1052'
};
exports.UNIT_UTILS_CANNOT_MULTIPLY_DIMENSION = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-1100'
};
exports.META_TEMPLATE_UNABLE_TO_FIND_LAYOUT = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-1150'
};
exports.META_TEMPLATE_INVALID_LAYOUT_NAME = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-1151'
};
exports.PACKAGE_LOADER_CANNOT_FETCH_URL = {
    level: IError_1.ErrorLevels.ERROR,
    type: IError_1.ErrorTypes.VALIDATION,
    code: '-1200'
};
/**
 * All errors thrown by the renderer
 */
exports.ErrorDefinitions = {
    GENERAL_VALIDATION_WARN: exports.GENERAL_VALIDATION_WARN,
    COMPONENT_BUILDER_NO_TEMPLATE: exports.COMPONENT_BUILDER_NO_TEMPLATE,
    COMPONENT_BUILDER_ITEM_AND_ITEMS: exports.COMPONENT_BUILDER_ITEM_AND_ITEMS,
    COMPONENT_BUILDER_UNABLE_TO_FIND_TYPE: exports.COMPONENT_BUILDER_UNABLE_TO_FIND_TYPE,
    UNIT_UTILS_CANNOT_MULTIPLY_DIMENSION: exports.UNIT_UTILS_CANNOT_MULTIPLY_DIMENSION,
    META_TEMPLATE_UNABLE_TO_FIND_LAYOUT: exports.META_TEMPLATE_UNABLE_TO_FIND_LAYOUT,
    META_TEMPLATE_INVALID_LAYOUT_NAME: exports.META_TEMPLATE_INVALID_LAYOUT_NAME,
    PACKAGE_LOADER_CANNOT_FETCH_URL: exports.PACKAGE_LOADER_CANNOT_FETCH_URL
};
//# sourceMappingURL=IErrorDefinitions.js.map