import { IJsonSchema } from '../assets/IJsonSchema';
export declare class AplComponentRepresentation {
    private aplTemplates;
    private componentTypeToJsonSchemaMap;
    constructor(aplTemplates: object[]);
    getCustomComponentNames(): string[];
    private fillCustomComponentMap;
    getCustomComponentJsonSchema(componentName: string): IJsonSchema;
}
/**
 * Used to extract custom components including imported packages
 * @export
 * @class CustomComponentsExtractor
 */
export declare class CustomComponentsExtractor {
    private thirdPartyComponentLoader;
    /**
     * Instance of CustomComponentsExtractor.
     *
     * @private
     * @static
     * @type {ThirdPartyComponentsExtractor}
     * @memberof ThirdPartyComponentsExtractor
     */
    private static instance;
    private constructor();
    /**
     * Singleton method.
     *
     * @static
     * @returns {CustomComponentsExtractor}
     * @memberof CustomComponentsExtractor
     */
    static getInstance(): CustomComponentsExtractor;
    /**
     * Extract custom components including imported packages.
     * @param aplTemplate
     */
    extractCustomComponents(aplTemplate: object): Promise<AplComponentRepresentation>;
    /**
     * get custom component types including imported packages and trigger error if there is package not imported
     * @param aplTemplate
     */
    getCustomComponentTypesAndValidate(aplTemplate: object): Promise<string[]>;
    private isValidLoadResult;
}
