/**
 * This class is used to add json path to meta template.
 */
export declare class JsonPathCompletor {
    /**
     * JSON path key.
     * @static
     * @memberof JsonPathCompletor
     */
    static JSON_PATH: string;
    /**
     * Template object;
     * @private
     * @memberof JsonPathCompletor
     */
    private copiedDoc;
    /**
     * Key to add to all levels of object.
     * @private
     * @memberof JsonPathCompletor
     */
    private keyToAdd;
    /**
     * Creates an instance of JsonPathCompletor.
     * @param {object} originalDoc
     * @memberof JsonPathCompletor
     */
    constructor(originalDoc: object, key?: string);
    /**
     * Add json path to template object.
     * @returns {object} with json path information.
     * @memberof JsonPathCompletor
     */
    addJsonPath(): object;
    /**
     * Add json path to grpahics object.
     * @returns {object} with json path information in graphics.
     * @memberof JsonPathCompletor
     */
    addJsonPathToGraphics(): object;
    /**
     * Recursion method to add json path to template.
     * @private
     * @param {object} currentObject
     * @param {string} currentPath
     * @returns
     * @memberof JsonPathCompletor
     */
    private addJsonPathToObject;
    /**
     * Process child element under item(s).
     * @private
     * @param {object} currentObject
     * @param {string} currentPath
     * @param {string} element
     * @memberof JsonPathCompletor
     */
    private processChildComponent;
}
