import { IJsonSchema } from '../assets/IJsonSchema';
/**
 * PrimitiveComponentJsonSchemaUtil.
 * @export
 * @class PrimitiveComponentJsonSchemaUtil
 */
export declare class PrimitiveComponentJsonSchemaUtil {
    /**
     * APL 1.0 version string.
     * @static
     * @memberof PrimitiveComponentJsonSchemaUtil
     */
    private static APL_1_0_VERSION;
    /**
     * All supported primitive component type in APL 1.0 to json schema mapping.
     * @static
     * @memberof PrimitiveComponentJsonSchemaUtil
     */
    private static COMPONENT_TYPE_TO_JSON_SCHEMA_APL_1_0;
    /**
     * All supported primitive component type to json schema mapping.
     * @static
     * @memberof PrimitiveComponentJsonSchemaUtil
     */
    private static COMPONENT_TYPE_TO_JSON_SCHEMA;
    /**
     * All supported mixin type to json schema mapping.
     * The extra properties for their child components.
     * @static
     * @memberof PrimitiveComponentJsonSchemaUtil
     */
    private static COMPONENT_TYPE_TO_MIXIN_JSON_SCHEMA;
    /**
     * properties are added after APL 1.0.
     * @static
     * @memberof PrimitiveComponentJsonSchemaUtil
     */
    private static COMPONENT_TYPE_TO_PROPERTIES;
    static getPrimitiveComponentSchema(componentType: string, aplVersion: string, parentComponentType?: string): IJsonSchema;
    static getPrimitiveComponentTypes(aplVersion?: string): string[];
    private static getJsonSchemaMap;
    /**
     * Find minin Json schema.
     * @param component component name
     */
    private static getMixinJsonSchema;
    /**
     * Merge mixin json schema to component json schema.
     * @param originalSchema orginal component json schema.
     * @param mixin json schema to mixin.
     */
    private static merge;
    private static filterBlacklistedProperty;
}
