import { ILoadedResult } from './PackageLoader';
/**
 * Loader to load third party custom components to internal data model.
 * Cache duplicatd fetching by using url as unique key.
 */
export declare class ThirdPartyComponentLoader {
    /**
     * Key (url/name) to IAplComonent[] map, used as cache.
     * @private
     * @memberof ThirdPartyComponentLoader
     */
    private packageToComponentPromiseMap;
    private static instance;
    /**
     * Creates an instance of ThirdPartyComponentLoader.
     * Make it public only for testing.
     * @memberof ThirdPartyComponentLoader
     */
    constructor();
    /**
     * Singleton method.
     * @static
     * @returns
     * @memberof ThirdPartyComponentLoader
     */
    static getInstance(): ThirdPartyComponentLoader;
    /**
     * Load packages.
     * @param {any[]} importPackages
     * @returns {Promise<IAplComponent[]>}
     * @memberof ThirdPartyComponentLoader
     */
    load(importPackages: any[]): Promise<ILoadedResult[]>;
    private loadSinglePackage;
}
