export declare class ValidationErrorFilter {
    private static userDefinedPropertyPrefix;
    /**
     * Collapse oneOf fields. When using oneOf, AJV will return multiple errors (one more than the number
     * of required fields). This method collapses those errors into the root error and modifies the root
     * error message to list required fields.
     * @private
     * @param {object[]} errors
     * @returns {object[]}
     * @memberOf ValidationErrorFilter
     */
    private static collapseOneOfSchemaProperties;
    /**
     * Filter errors pointing to the parent error node out, only need the leaf error node.
     * @public
     * @param {object[]} errors
     * @returns {object[]}
     * @memberof ValidationErrorFilter
     */
    static filterErrors(errors: object[], singlePathFilter?: any): object[];
    /**
     * Filter out duplicated path if dataPath is empty ignore.
     * @static
     * @memberof ValidationErrorFilter
     */
    static singleDataPathFilterNoRootPath: (noChildrenPathArray: any) => any;
    /**
     * Filter out duplicated path.
     * @static
     * @memberof ValidationErrorFilter
     */
    static singleDataPathFilter: (noChildrenPathArray: any) => any;
    /**
     * Filter the errors out if the value defined as a variable.
     * @private
     * @param {object[]} errors
     * @returns {object[]}
     * @memberof ValidationErrorFilter
     */
    private static processErrors;
    /**
     * Filter the boolean type errors out if the value defined as a variable.
     * @private
     * @param {object[]} errors
     * @returns {object[]}
     * @memberof ValidationErrorFilter
     */
    private static processBooleanTypeErrors;
    private static isNodeOf;
    static userDefinedPropertyErrorFilter: (error: object) => boolean;
}
