export declare const IMPORT_LAYOUT_TEMPLATE_10: {
    type: string;
    version: string;
    import: {
        name: string;
        version: string;
    }[];
    resources: ({
        description: string;
        dimensions: {
            headerBackAsset: string;
            headerBackAssetMarginLeft: string;
            headerBackAssetMarginTop: string;
            headerMarginTop: string;
            headerMarginBottom: string;
            headerAttributionMaxWidth: string;
            headerAttributionMaxHeight: string;
            headerSpacer: string;
            footerMarginTop?: undefined;
            footerMarginBottom?: undefined;
        };
        when?: undefined;
    } | {
        description: string;
        when: string;
        dimensions: {
            headerBackAsset: string;
            headerBackAssetMarginLeft: string;
            headerBackAssetMarginTop: string;
            headerMarginTop: string;
            headerMarginBottom: string;
            headerAttributionMaxWidth: string;
            headerAttributionMaxHeight: string;
            headerSpacer: string;
            footerMarginTop?: undefined;
            footerMarginBottom?: undefined;
        };
    } | {
        description: string;
        dimensions: {
            footerMarginTop: string;
            footerMarginBottom: string;
            headerBackAsset?: undefined;
            headerBackAssetMarginLeft?: undefined;
            headerBackAssetMarginTop?: undefined;
            headerMarginTop?: undefined;
            headerMarginBottom?: undefined;
            headerAttributionMaxWidth?: undefined;
            headerAttributionMaxHeight?: undefined;
            headerSpacer?: undefined;
        };
        when?: undefined;
    } | {
        description: string;
        when: string;
        dimensions: {
            footerMarginTop: string;
            footerMarginBottom: string;
            headerBackAsset?: undefined;
            headerBackAssetMarginLeft?: undefined;
            headerBackAssetMarginTop?: undefined;
            headerMarginTop?: undefined;
            headerMarginBottom?: undefined;
            headerAttributionMaxWidth?: undefined;
            headerAttributionMaxHeight?: undefined;
            headerSpacer?: undefined;
        };
    })[];
    layouts: {
        AlexaHeader: {
            parameters: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: boolean;
            } | {
                name: string;
                description: string;
                type: string;
                default: {
                    type: string;
                    arguments: string[];
                };
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
            items: ({
                when: string;
                type: string;
                background: string;
                item: {
                    type: string;
                    direction: string;
                    justifyContent: string;
                    alignItems: string;
                    width: string;
                    paddingTop: string;
                    paddingBottom: string;
                    paddingLeft: string;
                    paddingRight: string;
                    items: ({
                        when: string;
                        type: string;
                        headerAttributionImage: string;
                        headerAttributionText: string;
                        headerTitle?: undefined;
                        headerSubtitle?: undefined;
                    } | {
                        when: string;
                        type: string;
                        headerTitle: string;
                        headerSubtitle: string;
                        headerAttributionImage?: undefined;
                        headerAttributionText?: undefined;
                    })[];
                    minHeight?: undefined;
                };
            } | {
                type: string;
                background: string;
                item: {
                    type: string;
                    width: string;
                    minHeight: string;
                    items: ({
                        type: string;
                        direction: string;
                        justifyContent: string;
                        alignItems: string;
                        width: string;
                        paddingTop: string;
                        paddingBottom: string;
                        paddingLeft: string;
                        paddingRight: string;
                        items: ({
                            type: string;
                            headerTitle: string;
                            headerSubtitle: string;
                            headerDetailsMaxWidth: string;
                            shrink: number;
                            paddingRight: string;
                            when?: undefined;
                            headerAttributionImage?: undefined;
                            headerAttributionText?: undefined;
                        } | {
                            when: string;
                            type: string;
                            headerAttributionImage: string;
                            headerAttributionText: string;
                            headerTitle?: undefined;
                            headerSubtitle?: undefined;
                            headerDetailsMaxWidth?: undefined;
                            shrink?: undefined;
                            paddingRight?: undefined;
                        })[];
                        when?: undefined;
                        position?: undefined;
                        item?: undefined;
                    } | {
                        when: string;
                        type: string;
                        position: string;
                        paddingTop: string;
                        paddingLeft: string;
                        item: {
                            type: string;
                        };
                        direction?: undefined;
                        justifyContent?: undefined;
                        alignItems?: undefined;
                        width?: undefined;
                        paddingBottom?: undefined;
                        paddingRight?: undefined;
                        items?: undefined;
                    })[];
                    direction?: undefined;
                    justifyContent?: undefined;
                    alignItems?: undefined;
                    paddingTop?: undefined;
                    paddingBottom?: undefined;
                    paddingLeft?: undefined;
                    paddingRight?: undefined;
                };
                when?: undefined;
            })[];
        };
        AlexaHeaderDetails: {
            parameters: ({
                name: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                type: string;
                default: string;
            })[];
            items: {
                type: string;
                justifyContent: string;
                alignItems: string;
                maxWidth: string;
                items: {
                    type: string;
                    when: string;
                    text: string;
                    maxLines: number;
                    style: string;
                    textAlign: string;
                }[];
            }[];
        };
        AlexaHeaderAttribution: {
            parameters: {
                name: string;
                type: string;
            }[];
            items: {
                type: string;
                justifyContent: string;
                alignItems: string;
                width: string;
                grow: number;
                shrink: number;
                items: ({
                    when: string;
                    type: string;
                    text: string;
                    textAlign: string;
                    maxLines: number;
                    style: string;
                    width?: undefined;
                    height?: undefined;
                    source?: undefined;
                    scale?: undefined;
                    align?: undefined;
                } | {
                    when: string;
                    type: string;
                    width: string;
                    height: string;
                    source: string;
                    scale: string;
                    align: string;
                    text?: undefined;
                    textAlign?: undefined;
                    maxLines?: undefined;
                    style?: undefined;
                })[];
            }[];
        };
        AlexaHeaderBackButton: {
            items: ({
                when: string;
                type: string;
                onPress: {
                    type: string;
                    arguments: string[];
                };
                item: {
                    type: string;
                    source: string;
                    width: string;
                    height: string;
                    scale: string;
                    align: string;
                };
            } | {
                when: string;
                type: string;
                onPress: string;
                item: {
                    type: string;
                    source: string;
                    width: string;
                    height: string;
                    scale: string;
                    align: string;
                };
            } | {
                type: string;
                when?: undefined;
                onPress?: undefined;
                item?: undefined;
            })[];
        };
        AlexaFooter: {
            parameters: {
                name: string;
                type: string;
                description: string;
            }[];
            items: {
                type: string;
                direction: string;
                width: string;
                paddingTop: string;
                paddingBottom: string;
                paddingLeft: string;
                paddingRight: string;
                items: {
                    type: string;
                    text: string;
                    style: string;
                    textAlign: string;
                    width: string;
                }[];
            }[];
        };
    };
};
export declare const IMPORT_LAYOUT_TEMPLATE_13: {
    type: string;
    version: string;
    import: {
        name: string;
        version: string;
    }[];
    export: {
        layouts: (string | {
            name: string;
        })[];
    };
    resources: ({
        description: string;
        dimensions: {
            headerBackAsset: string;
            headerBackAssetMarginLeft: string;
            headerBackAssetMarginTop: string;
            headerMarginTop: string;
            headerMarginBottom: string;
            headerAttributionMaxWidth: string;
            headerAttributionMaxHeight: string;
            headerSpacer: string;
            footerMarginTop?: undefined;
            footerMarginBottom?: undefined;
        };
        when?: undefined;
    } | {
        description: string;
        when: string;
        dimensions: {
            headerBackAsset: string;
            headerBackAssetMarginLeft: string;
            headerBackAssetMarginTop: string;
            headerMarginTop: string;
            headerMarginBottom: string;
            headerAttributionMaxWidth: string;
            headerAttributionMaxHeight: string;
            headerSpacer: string;
            footerMarginTop?: undefined;
            footerMarginBottom?: undefined;
        };
    } | {
        description: string;
        dimensions: {
            footerMarginTop: string;
            footerMarginBottom: string;
            headerBackAsset?: undefined;
            headerBackAssetMarginLeft?: undefined;
            headerBackAssetMarginTop?: undefined;
            headerMarginTop?: undefined;
            headerMarginBottom?: undefined;
            headerAttributionMaxWidth?: undefined;
            headerAttributionMaxHeight?: undefined;
            headerSpacer?: undefined;
        };
        when?: undefined;
    } | {
        description: string;
        when: string;
        dimensions: {
            footerMarginTop: string;
            footerMarginBottom: string;
            headerBackAsset?: undefined;
            headerBackAssetMarginLeft?: undefined;
            headerBackAssetMarginTop?: undefined;
            headerMarginTop?: undefined;
            headerMarginBottom?: undefined;
            headerAttributionMaxWidth?: undefined;
            headerAttributionMaxHeight?: undefined;
            headerSpacer?: undefined;
        };
    })[];
    layouts: {
        AlexaHeader: {
            parameters: ({
                name: string;
                description: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                description: string;
                type: string;
                default: boolean;
            } | {
                name: string;
                description: string;
                type: string;
                default: {
                    type: string;
                    arguments: string[];
                };
            } | {
                name: string;
                description: string;
                type: string;
                default: string;
            })[];
            items: ({
                when: string;
                type: string;
                background: string;
                item: {
                    type: string;
                    direction: string;
                    justifyContent: string;
                    alignItems: string;
                    width: string;
                    paddingTop: string;
                    paddingBottom: string;
                    paddingLeft: string;
                    paddingRight: string;
                    items: ({
                        when: string;
                        type: string;
                        headerAttributionImage: string;
                        headerAttributionText: string;
                        headerTitle?: undefined;
                        headerSubtitle?: undefined;
                    } | {
                        when: string;
                        type: string;
                        headerTitle: string;
                        headerSubtitle: string;
                        headerAttributionImage?: undefined;
                        headerAttributionText?: undefined;
                    })[];
                    minHeight?: undefined;
                };
            } | {
                type: string;
                background: string;
                item: {
                    type: string;
                    width: string;
                    minHeight: string;
                    items: ({
                        type: string;
                        direction: string;
                        justifyContent: string;
                        alignItems: string;
                        width: string;
                        paddingTop: string;
                        paddingBottom: string;
                        paddingLeft: string;
                        paddingRight: string;
                        items: ({
                            type: string;
                            headerTitle: string;
                            headerSubtitle: string;
                            headerDetailsMaxWidth: string;
                            shrink: number;
                            paddingRight: string;
                            when?: undefined;
                            headerAttributionImage?: undefined;
                            headerAttributionText?: undefined;
                        } | {
                            when: string;
                            type: string;
                            headerAttributionImage: string;
                            headerAttributionText: string;
                            headerTitle?: undefined;
                            headerSubtitle?: undefined;
                            headerDetailsMaxWidth?: undefined;
                            shrink?: undefined;
                            paddingRight?: undefined;
                        })[];
                        when?: undefined;
                        position?: undefined;
                        item?: undefined;
                    } | {
                        when: string;
                        type: string;
                        position: string;
                        paddingTop: string;
                        paddingLeft: string;
                        item: {
                            type: string;
                        };
                        direction?: undefined;
                        justifyContent?: undefined;
                        alignItems?: undefined;
                        width?: undefined;
                        paddingBottom?: undefined;
                        paddingRight?: undefined;
                        items?: undefined;
                    })[];
                    direction?: undefined;
                    justifyContent?: undefined;
                    alignItems?: undefined;
                    paddingTop?: undefined;
                    paddingBottom?: undefined;
                    paddingLeft?: undefined;
                    paddingRight?: undefined;
                };
                when?: undefined;
            })[];
        };
        AlexaHeaderDetails: {
            parameters: ({
                name: string;
                type: string;
                default?: undefined;
            } | {
                name: string;
                type: string;
                default: string;
            })[];
            items: {
                type: string;
                justifyContent: string;
                alignItems: string;
                maxWidth: string;
                items: {
                    type: string;
                    when: string;
                    text: string;
                    maxLines: number;
                    style: string;
                    textAlign: string;
                }[];
            }[];
        };
        AlexaHeaderAttribution: {
            parameters: {
                name: string;
                type: string;
            }[];
            items: {
                type: string;
                justifyContent: string;
                alignItems: string;
                width: string;
                grow: number;
                shrink: number;
                items: ({
                    when: string;
                    type: string;
                    text: string;
                    textAlign: string;
                    maxLines: number;
                    style: string;
                    width?: undefined;
                    height?: undefined;
                    source?: undefined;
                    scale?: undefined;
                    align?: undefined;
                } | {
                    when: string;
                    type: string;
                    width: string;
                    height: string;
                    source: string;
                    scale: string;
                    align: string;
                    text?: undefined;
                    textAlign?: undefined;
                    maxLines?: undefined;
                    style?: undefined;
                })[];
            }[];
        };
        AlexaHeaderBackButton: {
            items: ({
                when: string;
                type: string;
                onPress: {
                    type: string;
                    arguments: string[];
                };
                item: {
                    type: string;
                    source: string;
                    width: string;
                    height: string;
                    scale: string;
                    align: string;
                };
            } | {
                when: string;
                type: string;
                onPress: string;
                item: {
                    type: string;
                    source: string;
                    width: string;
                    height: string;
                    scale: string;
                    align: string;
                };
            } | {
                type: string;
                when?: undefined;
                onPress?: undefined;
                item?: undefined;
            })[];
        };
        AlexaFooter: {
            parameters: {
                name: string;
                type: string;
                description: string;
            }[];
            items: {
                type: string;
                direction: string;
                width: string;
                paddingTop: string;
                paddingBottom: string;
                paddingLeft: string;
                paddingRight: string;
                items: {
                    type: string;
                    text: string;
                    style: string;
                    textAlign: string;
                    width: string;
                }[];
            }[];
        };
    };
};
export declare const IMPORT_ALLOF_ONEOF_PACKAGE_IMPORT: ({
    name: string;
    version: string;
    type?: undefined;
    items?: undefined;
    otherwise?: undefined;
    loadAfter?: undefined;
    source?: undefined;
} | {
    type: string;
    items: ({
        name: string;
        version: string;
        loadAfter?: undefined;
    } | {
        name: string;
        version: string;
        loadAfter: string[];
    })[];
    name?: undefined;
    version?: undefined;
    otherwise?: undefined;
    loadAfter?: undefined;
    source?: undefined;
} | {
    type: string;
    name: string;
    items: ({
        when: string;
        type: string;
        version: string;
        items: {
            source: string;
        }[];
        source?: undefined;
    } | {
        version: string;
        source: string;
        when?: undefined;
        type?: undefined;
        items?: undefined;
    })[];
    otherwise: {
        source: string;
    }[];
    version?: undefined;
    loadAfter?: undefined;
    source?: undefined;
} | {
    type: string;
    name: string;
    version: string;
    loadAfter: string;
    source: string;
    items?: undefined;
    otherwise?: undefined;
})[];
export declare const IMPORT_STYLES_TEMPLATE: {
    type: string;
    version: string;
    import: {
        name: string;
        version: string;
    }[];
};
export declare const IMPORT_ALEXA_VIEWPORT_PROFILES: {
    type: string;
    version: string;
    resources: ({
        description: string;
        colors: {
            colorTextPrimary: string;
        };
        when?: undefined;
        dimensions?: undefined;
    } | {
        description: string;
        when: string;
        colors: {
            colorTextPrimary: string;
        };
        dimensions?: undefined;
    } | {
        description: string;
        dimensions: {
            textSizeBody: number;
            textSizePrimary: number;
            textSizeSecondary: number;
            textSizeSecondaryHint: number;
            spacingThin?: undefined;
            spacingSmall?: undefined;
            spacingMedium?: undefined;
            spacingLarge?: undefined;
            spacingExtraLarge?: undefined;
            marginTop?: undefined;
            marginLeft?: undefined;
            marginRight?: undefined;
            marginBottom?: undefined;
        };
        colors?: undefined;
        when?: undefined;
    } | {
        description: string;
        dimensions: {
            spacingThin: number;
            spacingSmall: number;
            spacingMedium: number;
            spacingLarge: number;
            spacingExtraLarge: number;
            textSizeBody?: undefined;
            textSizePrimary?: undefined;
            textSizeSecondary?: undefined;
            textSizeSecondaryHint?: undefined;
            marginTop?: undefined;
            marginLeft?: undefined;
            marginRight?: undefined;
            marginBottom?: undefined;
        };
        colors?: undefined;
        when?: undefined;
    } | {
        description: string;
        dimensions: {
            marginTop: number;
            marginLeft: number;
            marginRight: number;
            marginBottom: number;
            textSizeBody?: undefined;
            textSizePrimary?: undefined;
            textSizeSecondary?: undefined;
            textSizeSecondaryHint?: undefined;
            spacingThin?: undefined;
            spacingSmall?: undefined;
            spacingMedium?: undefined;
            spacingLarge?: undefined;
            spacingExtraLarge?: undefined;
        };
        colors?: undefined;
        when?: undefined;
    })[];
};
