/**
 * Seed containing all components need to be validated.
 * @export
 * @class Validator
 */
export declare class ValidationSeed {
    /**
     * Current component.
     */
    private seedComponent;
    /**
     * Parent component.
     */
    private parentComponent;
    /**
     * Constructor.
     * @param seedComponent current component.
     * @param childComponents child components.
     * @param parentComponent parent component.
     */
    constructor(seedComponent: Seed, parentComponent?: Seed);
    /**
     * Return current component.
     */
    getSeedComponent(): Seed;
    getParentComponet(): Seed;
}
/**
 * Seed class containing raw seed and actual values.
 */
export declare class Seed {
    /**
     * Raw seed.
     * @private
     * @memberof Seed
     */
    private actualSeed;
    /**
     * Json path.
     * @private
     * @memberof Seed
     */
    private jsonPath;
    constructor(actualSeed: object, jsonPath?: string);
    /**
     * Fetch value
     * @param {string} key
     * @returns {*}
     * @memberof Seed
     */
    getValue(key: string): any;
    /**
     * Fetch Json path
     * @returns {string} json path
     * @memberof Seed
     */
    getJsonPath(): string;
}
