/*
 *   Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextComponentValidator = void 0;
var AbsoluteDimensionRule_1 = require("../rules/AbsoluteDimensionRule");
/**
 * TextComponentValidator.
 * @export
 * @class TextComponentValidator
 */
var TextComponentValidator = /** @class */ (function () {
    function TextComponentValidator() {
    }
    /**
     * Validate given object.
     * @param validationSeed seed to validate.
     */
    TextComponentValidator.prototype.validate = function (validationSeed) {
        if (validationSeed.getSeedComponent().getValue('type') !== 'Text') {
            return [];
        }
        var results = [];
        var seedComponent = validationSeed.getSeedComponent();
        AbsoluteDimensionRule_1.AbsoluteDimensionRule.applyRule(seedComponent, 'fontSize', results);
        AbsoluteDimensionRule_1.AbsoluteDimensionRule.applyRule(seedComponent, 'letterSpacing', results);
        return results;
    };
    return TextComponentValidator;
}());
exports.TextComponentValidator = TextComponentValidator;
//# sourceMappingURL=TextComponetValidator.js.map